/*
 * Copyright (C) 2014 Sandro Knauß <knauss@kolabsys.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef FBDAEMONSERVER_H
#define FBDAEMONSERVER_H

#include "fbdaemonthread.h"

#include <QTcpServer>

class FbDaemonServer : public QTcpServer
{
    Q_OBJECT

public:
    FbDaemonServer(QObject *parent = 0);
    virtual ~FbDaemonServer();

protected:
    void incomingConnection(int socketDescriptor);
private slots:
    void workerFinished(QThread*);
private:
    QVector<QThread*> mThreads;
};

#endif